#include <stdio.h>
#include <stdlib.h>

#include "lista_voti.h"


struct nodo_voto *alloca_nodo_voto (int voto) 
{
	struct nodo_voto *nuovo = malloc(sizeof(struct nodo_voto));	
	if (!nuovo) {
		printf("malloc() failed\n");
		exit(1);
	}

	nuovo->voto = voto;
	nuovo->next = NULL;

	return nuovo;
}


struct nodo_voto *inserisci_voto (struct nodo_voto **head_ptr, int voto)
{
	struct nodo_voto *nuovo = alloca_nodo_voto(voto);

	struct nodo_voto *n = *head_ptr;

	if (n == NULL) {
		*head_ptr = nuovo; /* lista vuota */
	} else {
		while (n->next != NULL) {
			n = n->next; /* trova ultimo nodo */
		}
		n->next = nuovo;
	}

	nuovo->next = NULL;

	return nuovo;
}

void stampa_voti (struct nodo_voto *head)
{
	struct nodo_voto *n = head;
	while (n != NULL) {
		printf("%d ", n->voto);
		n = n->next;
	}
	printf("\n");
}


