#include <stdlib.h>
#include <stdio.h>

#include "lista_voti.h"
#include "lista_studenti.h"

struct nodo_studente *trova_studente (struct nodo_studente *head, unsigned int matricola)
{
	while (head != NULL) {
		if (head->matricola == matricola)
			return head;
		head = head->next;
	}

	return NULL;
}

void registra_voto (struct nodo_studente *head, unsigned int matricola, int voto)
{
	struct nodo_studente *s = trova_studente (head, matricola);
	if (!s) {
		printf("Studente NON trovato!\n");
		return;
	}

	inserisci_voto(&(s->head_voti), voto);
}


int main()
{
	struct nodo_studente *head_studenti = NULL;

	inserisci_studente(&head_studenti, 223345);
	inserisci_studente(&head_studenti, 253545);

	registra_voto(head_studenti, 223345, 18);
	registra_voto(head_studenti, 223345, 24);
	registra_voto(head_studenti, 253545, 30);

	stampa_studenti(head_studenti);

	return 0;
}
